/*
 * Class TABLE_ITERABLE [G#1, POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1817 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1817 [] = {0xFF01,1551,1816,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1817 [] = {0xFF01,1816,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1817 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1817 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1817 [] = {0xFF01,1816,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1817 [] = {0xFF01,1816,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1817 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1817 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1817 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1817 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1817 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1817 [] = {1816,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1817 [] = {0xFF01,1816,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1817 [] = {0xFF01,1784,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1817 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1817 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1817[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1817), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1817), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1817), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1817), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1817), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1817), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1817), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1817), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1817), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1817), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1817), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1817), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1817), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1817), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1817), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1817), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1817), -1, 0xFFFFFFFF},
};
void Init1817(void)
{
	IDSC(desc_1817, 0, 1816);
	IDSC(desc_1817 + 1, 1, 1816);
	IDSC(desc_1817 + 32, 1088, 1816);
	IDSC(desc_1817 + 34, 344, 1816);
}


#ifdef __cplusplus
}
#endif
